/*---------------------------------------------------------------------------*/

/*!  \file  textread.h
     \brief  output the field data as ascii text format.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2005,2018 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_TEXTREAD_H
#define INCLUDE_TEXTREAD_H

#include "chemicalpotential.h"
#include "externalforce.h"

/*---------------------------------------------------------------------------*/
/*!  \brief  read data of \a density from \a filename.
     \param  filename  file name
     \param  density  density field  */
void read_density_field_text(char *filename,density_field *density);
/*!  \brief  read data of \a potential from \a filename.
     \param  filename  file name
     \param  potential  chemical potential field  */
void read_chemical_potential_text(char *filename,
                                  chemical_potential *potential);
/*!  \brief  read data of \a force from \a filename.
     \param  filename  file name
     \param  potential  external force field  */
void read_external_force_text(char *filename,external_force *force);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
