/*---------------------------------------------------------------------------*/

/*!  \file  dxread.h
     \brief  read field data from DX file generated by drops.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2007 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_DXREAD_H
#define INCLUDE_DXREAD_H

#include "geometry.h"

/*---------------------------------------------------------------------------*/
/*!  \brief  read the field data from \a filename (DX format).
     \param  filename  file name
     \param  geometry  field geometry
     \param  phi  density field data
     \param  mu  chemical potential field data
     \param  n  number of components  */
int read_field_dx(char *filename,field_geometry *geometry,
                  double ***phi,double ***mu,int *n);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
