/*---------------------------------------------------------------------------*/

/*!  \file  textwrite.h
     \brief  output the field data as ascii text format.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2007 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_TEXTWRITE_H
#define INCLUDE_TEXTWRITE_H

#include "geometry.h"

/*---------------------------------------------------------------------------*/
/*!  \brief  write data of field \a u to \a filename.
     \param  filename  file name
     \param  density  density field  */
void write_field_text(char *filename,field_geometry *geometry,double **u,int n);
void write_field_text_with_lattice(char *filename,field_geometry *geometry,
                                   double **u,int n);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
